> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fingerprint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update API key

> Updates a single API key. You can update the keys name, description, status, and rate limit. You cannot mutate the actual key itself.



## OpenAPI

````yaml /reference/management-api_2025-11-20.json PATCH /api-keys/{id}
openapi: 3.0.0
info:
  title: Management API
  description: >-
    Managment API allows you to manage your Fingerprint account and applications
    programmatically from a server environment.
  version: '2025-11-20'
  contact: {}
servers:
  - url: https://management-api.fpjs.io
security:
  - Management-API-key: []
tags: []
paths:
  /api-keys/{id}:
    patch:
      tags:
        - api-keys
      summary: Update API key
      description: >-
        Updates a single API key. You can update the keys name, description,
        status, and rate limit. You cannot mutate the actual key itself.
      operationId: ApiKeysController_update
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: X-API-Version
          in: header
          description: Management API version.
          example: '2025-11-20'
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateApiKeyDtoV1'
      responses:
        '200':
          description: Updated API key object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/43bcdb2376818c770704c'
        '400':
          description: 'Error: API key can''t be updated due to validation errors.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationApiExceptionDto'
        '401':
          description: 'Error: Invalid API key.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiExceptionDto'
        '404':
          description: 'Error: API key with the given ID was not found.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiExceptionDto'
        '429':
          description: 'Error: API key has exceeded its rate limit.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiExceptionDto'
components:
  schemas:
    UpdateApiKeyDtoV1:
      type: object
      properties:
        name:
          type: string
          description: Name of an API key.
          maxLength: 255
          minLength: 3
        description:
          type: string
          description: Description for an API key.
          maxLength: 255
          minLength: 3
        status:
          type: string
          enum:
            - enabled
            - disabled
          description: Set API key status. Use to enable or disable an API key.
        rate_limit:
          type: number
          description: Set rate limit for an API key. Value is in request-per-second.
          minimum: 0.1
    43bcdb2376818c770704c:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ApiKeyResponseDtoV2'
      required:
        - data
    ValidationApiExceptionDto:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/BaseValidationApiExceptionDto'
      required:
        - error
    ApiExceptionDto:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/BaseApiExceptionDto'
      required:
        - error
    ApiKeyResponseDtoV2:
      type: object
      properties:
        id:
          type: string
          description: Auto-generated ID for an API key
          example: tok_No3jUysGLCDuqB3RnCVf1weo
        name:
          type: string
          description: API key name
          example: My Public Key
        description:
          type: string
          description: API key description
          example: Description for my public key
        status:
          type: string
          enum:
            - enabled
            - disabled
          description: API key status, indicates if an API keys is enabled or disabled.
          example: enabled
        environment:
          type: object
          description: ID of an environment the API key belongs to.
          example: ae_rrETjdWcfqI6AFsk
          nullable: true
        type:
          type: string
          enum:
            - public
            - secret
            - proxy
          description: Type of an API key.
          example: public
        token:
          type: string
          description: >-
            Value of an API key. This field is immutable, and for secret keys
            it's only visible upon creation.
          example: eWDrrpGGLjDQW0LBA0Wj
        rate_limit:
          type: number
          description: Current limit in requests-per-second for the API key.
          example: 5
        created_at:
          format: date-time
          type: string
          description: Date when API key was created.
          example: '2024-05-31T01:24:39.506Z'
        disabled_at:
          format: date-time
          type: string
          description: Date when API key was disabled.
          example: null
      required:
        - id
        - name
        - status
        - environment
        - type
        - rate_limit
        - created_at
    BaseValidationApiExceptionDto:
      type: object
      properties:
        message:
          type: string
          description: Verbal description of the error.
        code:
          type: string
          description: Error code.
        violations:
          description: List of validation violations.
          type: array
          items:
            $ref: '#/components/schemas/BaseValidationApiExceptionViolationDto'
      required:
        - message
        - code
    BaseApiExceptionDto:
      type: object
      properties:
        message:
          type: string
          description: Verbal description of the error.
        code:
          type: string
          description: Error code.
      required:
        - message
        - code
    BaseValidationApiExceptionViolationDto:
      type: object
      properties:
        property:
          type: string
          description: Property that has failed validation.
        message:
          type: string
          description: Description of the violation.
      required:
        - property
        - message
  securitySchemes:
    Management-API-key:
      scheme: bearer
      bearerFormat: JWT
      type: http

````